<template>
	<view style="">
		<u-popup :show="show" @close="close" @open="open" :mode="mode" :round="round">
			<view class="topBar" style="">
				<view class="left">
					X
				</view>
				<view class="cen">
					{{title}}
				</view>
				<view class="close">
					X
				</view>
			</view>
		</u-popup>
	</view>
</template>

<script>
	export default {
		props: ['show', 'mode', 'round', 'dtitle'],
		methods: {
			close() {
				this.$emit('close')
			},
			open() {
				this.$emit('open')
			}
		}
	}
</script>

<style lang="scss" scoped>
	@import "./index.scss";
</style>